UltraSn0w Unlock for iPhone 4.3.2 Released

By , Apr 24, 2011

Following the release of the updated PwnageTool 4.3.2 jailbreak tool, the iPhone Dev Team has also pushed out an update to the UltraSn0w unlock in Cydia.

UltraSn0w 1.2.2 has been released to support the new iOS 4.3.2 firmware, as the previous version of UltraSn0w (1.2.1) was broken in iOS 4.3.2. Please note, this will only work for the older iPhone 4 baseband 1.59.00, and iPhone 3G/3GS  basebands 4.26.08, 5.11.07, 5.12.01, 5.13.04, and 6.15.00. It can not unlock newer basebands since there is currently no unlock available.

The Dev Team has provided the following information on their blog…

“Note that there’s a corresponding update to ultrasn0w, which has been bumped up to v1.2.2 to get along with iOS 4.3.2 (the ultrasn0w update does not include any new baseband support!). Please reboot your iPhone using the normal “slide to power off” swipe after installing ultrasn0w 1.2.2.”

Check out our tutorial on how to unlock your iPhone with the new UltraSn0w tool! Make sure to use PwnageTool or Sn0wBreeze if you want to preserve your baseband for UltraSn0w.

  • Share:
  • Follow:
  • Haider Ijaz

    I installed the upgrade in the morning on my iPhone 3G. And i lost my signals. I had to reinstall it to make it work. Btw my baseband is 5.11.07

  • http://flytillondon.dk Fly til London

    Arrrh – come on. I’m waiting for the 04.10.01 baseband unlock. I thought this was the one.

  • HasanM

    Still stuck on BB: 5.15 -_-

    will ever be a unlock for newer baseband ??
    plz , give us some answers

    • http://www.trenpennrepairs.com Jj

      No apple wins

  • iphonecoach72

    I am on baseband 04.10.01 will help me?

  • iphonecoach72

    Sorry will this update help me?

    • Kickstar13

      Nope, you need to have the older 1.59.00 baseband to unlock.

  • MALdito

    When I updated this on my 3GS (running iOS 4.1, on Baseband 05.13.04), T-mobile wouldn’t load as the carrier (& yes, 3G was OFF). I tried to reinstall it, to respring it, and to restart it but to no avail. In the end I had to downgrade to the previous version in order to get it to work again. Any thoughts or suggestions (plz!) ?

    • Kickstar13

      The update to ultrasn0w was just released today. Did you update and try to install ultrasn0w prior to today?

  • SOZE

    I updated ultra snow to 1.2.2 and it unlocked my iphone4 4.1 , but my base band is 02.10.04 but the green check is there saying it installed ultra snow. Want to upgrade firm ware to 4.3.2 and keep my unlock how should I go about this?

    • Kickstar13

      Your iPhone is not, and cannot be unlocked yet. You need to be on the older baseband (modem firmware) 1.59.00.

  • Harold

    Looks like there is no way people with BB 5.15.04 are going to get a unlock, unless they upgrade to 6.15…

    Or, is there a way ???

    • Kickstar13

      Sadly, there isn’t, not yet at least.

    • Lupe

      Upgrading to 06.15.00 with redsnow works!

  • bennybllanco0331

    All I have to say is one thing. It would be really appreciated to someone would just come out and say once and for all. That there would not be any more support for the iphone 3g.. it seems that it has been forgotten… are the basebands 5.15.04 and others ever gonna have an unlock? Please.. just put us out of our mistery lol..

  • DebTym

    yes..dev team..just announce to us that there will be no free unlock solutions for the newer basebands of the ip4.

  • Wselviz

    Long life to permanent Unlocks… Buying an AT&T i4 and Unlock it with Cutmysim or Negri Electronics is still cheaper than buying a Factory Unlocked one.

    • Kickstar13

      The permanent unlock service that was available thorough CutYourSim is no longer available.

  • IpMac08

    Can anyone explain to me why is it so hard to unlock the newer baseband when the older ones where so easy? Is it that it is not a priority for the dev team anymore? Or is it really that hard to do? Im not complaining or criticizing the people that help the iPhone community. Im genuinely asking why is it taking so long??

    • Kickstar13

      They need to find a usable exploit in the baseband. Since software unlocks usually take a long time after the release of a new firmware, I figure it must be very difficult to isolate a vulnerability in the baseband and then develop it into a working unlock.

  • Rty

    Fuck apple

  • AyeZieN

    What about the Gevey Sim route? They are advertising that they have unlocked the iphone4 4.3.2 with the new baseband 4.10.01 AND IT WORKS! Do you have any feedback on this? THANK YOUS!

    • Kickstar13

      I believe the Gevey unlock method is a tethered unlock. Meaning that once you reboot or power off your iPhone, you have to redo the Gevey SIM unlock process. Also, it’s fairly expensive, not to mention its illegal in the States.

  • nick

    5.14/5.15 or i4 2.10/3.10/4.10 never be unlock never & forever the best way sale it and get a g2x U can use anywhere in the world more better than iphone

  • john

    upgraded to 4.3.2 using snow breeze preserving 1.59.00 but now its showing only one signal bar and i cant make any calls.wifi broken down can so how do i manually install .deb files.tried thru ispirit it says repo666 is invalid.some1 plzzzzz help me out.